EDIT - bug #9302

Phycobank related issues for TypeDesignation formatting
11/14/2020 05:05 PM - Andreas Miller

Status: In Progress Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 30%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

In the Phycobank context a couple of issues for type formatting have been found, after TypeDesginationSetManager has been
refactored. Some of them came from refactoring, some are new.

flectotpy: B-12345 designatec-by Miller 2020}y —> simply remove brackels around year
* microcitations-for-shert-citations-not-yetimplemented => implement as "Author year: xyz)

and-does-notmentionthe-exactauthers => "Designated by" should be used as it is most exact and also with "designated in" it
is per se unclear who the authors of a designation, additional information is needed to distinguis if the authors of the designated
in references are also the authors of the type designation.

¢ A third kind of designation is using "vide". This means that the designation is kind of doubtful, as the type was mentioned in the
given reference but it is not clear if the reference is the place of designation or if the reference mentions only a designation that
took place elsewhere. => maybe we need a flag indicating if the designation citation is a "vide-citation" so the correct formatting
can be done => a mail was sent to users to ask for opinions

* NameTypeDesignations on the registration page do not show the designation reference at all anymore, before they did show
the long form sepated only by empty space. Both is not expected behavior. => Better we should have the name type followed by
"designated by" followed by the above mentioned short form of the citation

¢ SpecimenTypeDesignations with designations are currently handled different to NameTypeDesignations as the show the

"designated by" part in brackets behind the type status but before the specimen information. This should be unified by using the

NameTypeDeS|gnat|on format here as weII which is typestatus foIIowed by type foIIowed by deS|gnated by short citation

agair =>can be |mplemented in dataportal code ==> #9306
* Microreferences for non-lectotypes should be editable => see #9303

Related issues:

Related to EDIT - task #9300: Name Page: harmonize media specimen lectotype r... In Progress
Related to EDIT - feature request #9279: Improve type designation formatting ... Closed
Related to EDIT - bug #9290: stop setting Registration.citation as citation f... Closed
Related to EDIT - task #8546: type specimen editor: published in vs. designat... New
Related to EDIT - bug #8984: Registration search result list: Format display ... New
Related to EDIT - feature request #9596: Open issues for TypeDesignationWorki... In Progress
Related to EDIT - bug #9701: Order and display of different typifications for... Closed
Copied to EDIT - bug #9303: [DISCUSS+IMPLEMENT] Make type designation micro r... New
Copied to EDIT - task #9306: Registration result list: supress "designated by... Closed
Copied to EDIT - task #9308: Supress "designated by" reference in portal inr... Closed

Associated revisions

Revision 37e61bd2 - 11/14/2020 06:28 PM - Andreas Miller

ref #9302 remove bracket around year in short citations for type designations and add citationDetail to short citations

History

#1 - 11/14/2020 06:33 PM - Andreas Miller

- Description updated

#2 - 11/14/2020 07:10 PM - Andreas Miller
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 10

#3 - 11/14/2020 07:12 PM - Andreas Miiller

- Description updated

AM:

Bisher war gewiinscht, Quellen als Kurzzitat mit ,Autor (Jahr)“ anzugeben, was sowohl fiir die designated by Quellen als auch fur die fide Quellen
gelten sollte.
Jetzt hat Henning entdeckt, dass die Klammer um die Jahreszahl zu unschénen Doppelklammern bei Specimen Typedesignations fiihrt, z.B.

Viet Nam, Bac Kan Province, Ba B& Lake, benthos, alt. 160 m, 22°23'36.3"N, 105°36'51.36"E, 29 Apr 2015, E. Gusev & M. Kulikovskiy s.n.
(lectotype: 02168 designated by Kulikovskiy & al. (2020))

Die Frage daher, ob wir hier nicht einfach auf die Klammer um die Jahreszahl verzichten kénnen.

Die auBere Klammer ist als Klammer um alle Typus + Specimen Information herum gedacht und es wére gut wenn wir die behalten kénnten.
Zudem ist die Stellung der Microreferenz (Seitenzahl etc.) bislang noch nicht besprochen worden. Hier ist der Vorschlag diese durch ,:“ getrennt
hinter dem Jahr einzufligen, sofern sie existiert.

Dann k&me am Ende z.B. raus

Viet Nam, Bac Kan Province, Ba B& Lake, benthos, alt. 160 m, 22°23'36.3"N, 105°36'51.36"E, 29 Apr 2015, E. Gusev & M. Kulikovskiy s.n.
(lectotype: 02168 designated by Kulikovskiy & al. 2020: 615)

Gibt es gegen diese Art der Formatierung (zumindest als Default) Einwande?

#4 - 11/14/2020 07:14 PM - Andreas Miiller

AM: Bei der Diskussion ums Typusmodul vor ca. 2 Jahren hatten wir diskutiert und spater auch implementiert, dass es 2 Arten von Quellen fir Typen
geben soll, die ,designated by“ Quelle fiir Lecto (Epi, Neo, ..)typen und allgemeine Quellen, die wir inzwischen mit ,[fide xxx, yyy, zzz] angeben,
worunter Sekundarquellen und Quellen fir textuelle Typuszitate fallen, wenn ich es richtig verstanden habe.

Henning erwéhnte jetzt auch noch Quellenangaben mit ,vide* wobei es sich wohl quasi um ,designated by“ Zitate handelt, aus denen im Original aber
nicht eindeutig hervorgeht, ob sie einen Typus designieren oder ob sie die Information von woanders abschreiben, da die Information, dass es sich
um eine Designation handelt, noch nicht solange verpflichtend ist.

Beispiel:

Amphora C. G. Ehrenberg ex Kutzing, Kies. Bacill. Diat. 107. 7-9 Nov 1844.

LT.: A. ovalis (C. G. Ehrenberg) Kutzing (Navicula amphora C. G. Zitat Zitat aus Index Nominum Genericorum:Ehrenberg) (vide C. S. Boyer, Proc.
Acad. Nat. Sci. Philadelphia 79 (Suppl.): 253. 1928)

Die Frage ist, ob dieser Fall bereits vom Modell abgedeckt wird. Fiir mich sieht es aus wie eine Art ,doubtful designated by*, also ein doubtful oder
vide Flag, welches zur designated by Referenz gehéren wirde und welches bewirkt, dass nicht ,designated by“ sondern ,vide* im Output erscheint.

Macht das fur euch Sinn? Gibt es andere Vorschlage? Wird was falsch interpretiert?

#5 - 11/14/2020 07:18 PM - Andreas Miller

- Description updated

#6 - 11/14/2020 07:48 PM - Andreas Miiller
- Copied to bug #9303: [DISCUSS+IMPLEMENT] Make type designation micro references for non-lectotypes editable in TaxEditor added

#7 - 11/14/2020 08:05 PM - Andreas Miiller
AM:
ich habe, wie besprochen versucht den Punkt

"The search result in phycobank currently includes citation information, this was not the case before and should be removed again " (Punkt 4 in
Hennings Mail)

des Tickets https://dev.e-taxonomy.eu/redmine/issues/9302 Uber Verwendung des withCitaion Parameters beim Aufruf des print bzw. toTaggedText
Methoden des TypeDesignationSetManagers zu 16sen.

Grundsatzlich ist das moglich, wiirde aber an sehr vielen Stellen im Stellen die Einflhrung dieses Parameters im Code verlangen, da die
aufgerufenen Methoden auch von vielen anderen Stellen her aufgerufen werden, bei denen i.d.R. das Weglassen der Citation nicht gewiinscht sein
durfte. Die Aufrufkette ist:

/registrationDTO/find => RegistrationWorkingSetService.pageDTOs => RegistrationWorkingSetService .convertToDTOPager =>
RegistrationWorkingSetService.makeDTOs => new RegistrationDTO(Registration)
Bei letzerer wollte ich den Parameter einfihren, was problemlos ging, allerdings warden die vorangehenden Methoden teilweise sehr haufig
verwendet.

Daher jetzt meine Frage: Die DTO gibt die summary ja auch als TaggedText zuriick. Benutzt du diesen oder die String Version? Falls ersteres wére

es vermutlich deutlich leichter und sauberer die Referenz einfach aus dem TaggedText herauszufiltern.
Kannst du mal schauen, ob das ginge?

#8 - 11/14/2020 08:07 PM - Andreas Miuller

- Description updated

#9 - 11/14/2020 08:11 PM - Andreas Miuller

- Related to task #9300: Name Page: harmonize media specimen lectotype representations added

#10 - 11/14/2020 08:12 PM - Andreas Miiller

- Related to feature request #9279: Improve type designation formatting and TypeDesignationSetManager added

#11 - 11/14/2020 08:18 PM - Andreas Miiller
- Related to bug #9290: stop setting Registration.citation as citation for TypeDesignations in all type editors by default added

#12 - 11/14/2020 08:20 PM - Andreas Miiller
- Related to task #8546: type specimen editor: published in vs. designated by added

#13 - 11/14/2020 08:29 PM - Andreas Miiller
- Related to bug #8984: Registration search result list: Format display of two type specimens added

#14 - 11/16/2020 02:02 PM - Andreas Kohlbecker

- Copied to task #9306: Registration result list: supress "designated by" reference in portal added

#15 - 11/16/2020 02:45 PM - Andreas Kohlbecker

- Description updated

#16 - 11/17/2020 03:51 PM - Andreas Kohlbecker
- Copied to task #9308: Supress "designated by" reference in portal in registration ListView and RegistrationWorkingSetEditor added

#17 - 04/30/2021 08:12 PM - Andreas Miiller
- Related to feature request #9596: Open issues for TypeDesignationWorkingSet added

#18 - 04/30/2021 10:53 PM - Andreas Miiller
- % Done changed from 10 to 30

Check how far this is still open.
Closed issues where implemented in 5.18 or prior.

#19 - 04/30/2021 10:54 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.25

#20 - 05/15/2021 02:38 AM - Andreas Miiller

- Tags set to formatting

#21 - 07/07/2021 03:26 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

#22 - 07/08/2021 08:28 AM - Andreas Kohlbecker

- Related to bug #9701: Order and display of different typifications for one name in one reference added
